|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3CheckTableItem Class Reference
[Qt3Support module]

The Q3CheckTableItem class provides checkboxes in Q3Tables. More...

     #include <Q3CheckTableItem>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Note to Qt Desktop Light Edition users: This class is only available in the Qt Desktop Edition.

Inherits Q3TableItem.

- List of all members, including inherited members

### Public Functions

- Q3CheckTableItem ( Q3Table * table, const QString & txt )
- bool isChecked () const
- virtual int rtti () const
- virtual void setChecked ( bool b )

- 26 public functions inherited from Q3TableItem

## Detailed Description

The Q3CheckTableItem class provides checkboxes in Q3Tables.

A Q3CheckTableItem is a table item which looks and behaves like a checkbox. The advantage of using Q3CheckTableItems rather than real checkboxes is that a Q3CheckTableItem uses far less resources than a real checkbox would in a Q3Table. When the cell has the focus it displays a real checkbox which the user can interact with. When the cell does not have the focus the cell looks like a checkbox. Pixmaps may not be used in Q3CheckTableItems.

Q3CheckTableItem items have the edit type `WhenCurrent` (see EditType).

To change the checkbox's label use setText(). The checkbox can be checked and unchecked with setChecked() and its state retrieved using isChecked().

To populate a table cell with a Q3CheckTableItem use Q3Table::setItem().

Q3CheckTableItems can be distinguished from Q3TableItems and Q3ComboTableItems using their Run Time Type Identification (rtti) value.

See also rtti(), EditType, Q3ComboTableItem, Q3TableItem, and QCheckBox.

## Member Function Documentation

### Q3CheckTableItem::Q3CheckTableItem ( Q3Table * table, const QString & txt )

Creates a Q3CheckTableItem with an EditType of `WhenCurrent` as a child of table. The checkbox is initially unchecked and its label is set to the string txt.

### bool Q3CheckTableItem::isChecked () const

Returns true if the checkbox table item is checked; otherwise returns false.

See also setChecked().

### int Q3CheckTableItem::rtti () const `[virtual]`

Returns 2.

Make your derived classes return their own values for rtti()to distinguish between different table item subclasses. You should use values greater than 1000, preferably a large random number, to allow for extensions to this class.

Reimplemented from Q3TableItem.

See also Q3TableItem::rtti().

### void Q3CheckTableItem::setChecked ( bool b ) `[virtual]`

If b is true the checkbox is checked; if b is false the checkbox is unchecked.

See also isChecked().